package com.portio

import android.os.Bundle
import android.util.Log
import android.view.WindowManager
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.activity.enableEdgeToEdge
import androidx.lifecycle.lifecycleScope
import com.portio.ui.theme.PortioTheme
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.launch

class MainActivity : ComponentActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        // Prevent screen from turning off
        window.addFlags(WindowManager.LayoutParams.FLAG_KEEP_SCREEN_ON)

        // Clear the cache directory
        lifecycleScope.launch(Dispatchers.IO) {
            cacheDir.listFiles()?.forEach {
                Log.w("MainActivity", "Deleting file ${it.name}")
                it.delete()
            }
        }

        enableEdgeToEdge()
        setContent {
            PortioTheme {
                PortioApp()
            }
        }
    }
}