package com.portio.data

import android.net.Uri
import com.portio.utils.UUIDSerializer
import com.portio.utils.UriSerializer
import kotlinx.serialization.Serializable
import java.util.UUID

@Serializable
data class User(
    val name: String,
    val effectiveRatio: Int = -1,
    val desiredRatio: Int = -1,
    @Serializable(with = UUIDSerializer::class) val id: UUID = UUID.randomUUID(),
    @Serializable(with = UriSerializer::class) val imageUri: Uri? = null
) {
    companion object {
        fun default(): User = User("")
        const val MAX_LENGTH = 20
    }
}