package com.portio.utils

import java.util.Locale

sealed class UnitLocale {
    data object Imperial : UnitLocale()
    data object Metric : UnitLocale()

    companion object {
        val default: UnitLocale
            get() = getFrom(Locale.getDefault())

        private fun getFrom(locale: Locale): UnitLocale {
            val imperialCountries = setOf("US", "LR", "MM")
            return if (imperialCountries.contains(locale.country)) Imperial else Metric
        }
    }
}